# Class BarStyles

java.lang.Object
uk.ac.starlink.ttools.plot.BarStyles

public class BarStyles extends Object
Provides several factory methods for constructing StyleSets which dispense `BarStyle`s.

Since:
  16 Nov 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BarStyles()`

## Method Summary

Modifier and Type
Method
Description
`static StyleSet`
`filled(String name)`
Returns a new style set which draws filled full rectangles.
`static StyleSet`
`filled3d(String name)`
Returns a new style set which draws filled 3d full rectangles.
`static Icon`
`getIcon(BarStyle.Form form)`
Generates an icon based on a BarStlye.Form object.
`static Icon`
`getIcon(StyleSet styleSet)`
Generates an icon based on a StyleSet which displensed BarStyles.
`static StyleSet`
`open(String name, boolean rotateColor, boolean rotateDash)`
Returns a new style set which draws open full rectangles.
`static StyleSet`
`sideFilled(String name)`
Returns a new style set which draws filled rectangles side by side (one for each subset).
`static StyleSet`
`sideFilled3d(String name)`
Returns a new style set which draws 3d filled rectangles side by side (one for each subset).
`static StyleSet`
`sideOpen(String name, boolean rotateColor, boolean rotateDash)`
Returns a new style set which draws open rectangles side by side (one for each subset).
`static StyleSet`
`spikes(String name, boolean rotateColor, boolean rotateDash)`
Returns a new style set which draws a 1-d spike for each subset.
`static StyleSet`
`tops(String name, boolean rotateColor, boolean rotateDash)`
Returns a new style set which draws only the tops of bars.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarStyles

public BarStyles()

## Method Details

### filled

public static StyleSet filled(String name)
Returns a new style set which draws filled full rectangles.

Parameters:
  `name` - style set name
Returns:
  style set

### filled3d

public static StyleSet filled3d(String name)
Returns a new style set which draws filled 3d full rectangles.

Parameters:
  `name` - style set name
Returns:
  style set

### open

public static StyleSet open(String name, boolean rotateColor, boolean rotateDash)
Returns a new style set which draws open full rectangles.

Parameters:
  `name` - style set name
  `rotateColor` - whether to have different colours for different bars
  `rotateDash` - whether to have different stroke styles for different bars
Returns:
  style set

### tops

public static StyleSet tops(String name, boolean rotateColor, boolean rotateDash)
Returns a new style set which draws only the tops of bars.

Parameters:
  `name` - style set name
  `rotateColor` - whether to have different colours for different bars
  `rotateDash` - whether to have different stroke styles for different bars
Returns:
  style set

### spikes

public static StyleSet spikes(String name, boolean rotateColor, boolean rotateDash)
Returns a new style set which draws a 1-d spike for each subset.

Parameters:
  `name` - style set name
  `rotateColor` - whether to have different colours for different bars
  `rotateDash` - whether to have different stroke styles for different bars
Returns:
  style set

### sideFilled

public static StyleSet sideFilled(String name)
Returns a new style set which draws filled rectangles side by side (one for each subset).

Parameters:
  `name` - style set name
Returns:
  style set

### sideFilled3d

public static StyleSet sideFilled3d(String name)
Returns a new style set which draws 3d filled rectangles side by side (one for each subset).

Parameters:
  `name` - style set name
Returns:
  style set

### sideOpen

public static StyleSet sideOpen(String name, boolean rotateColor, boolean rotateDash)
Returns a new style set which draws open rectangles side by side (one for each subset).

Parameters:
  `name` - style set name
  `rotateColor` - whether to have different colours for different bars
  `rotateDash` - whether to have different stroke styles for different bars
Returns:
  style set

### getIcon

public static Icon getIcon(StyleSet styleSet)
Generates an icon based on a StyleSet which displensed BarStyles. This icon is suitable for putting in a menu.

### getIcon

public static Icon getIcon(BarStyle.Form form)
Generates an icon based on a BarStlye.Form object. This icon is suitable for putting in a menu.